# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name = 'forward-calendar'
  s.version = '0.9.0'
  s.date = '2019-03-26'
  s.summary = 'Forward Calendar XML parser'
  s.description = 'Parser for Forward Calendar XML files'
  s.homepage = 'https://github.com/AlphaExchange/forward-calendar-rb'
  s.authors = ['João Simões']
  s.email = ['joao.simoes@visible-alpha.com']
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.require_paths = ['lib']
  s.license = 'MIT'

  s.required_ruby_version = '>= 2.4'

  s.add_development_dependency 'bundler', '~> 1.12'
  s.add_development_dependency 'byebug'
  s.add_development_dependency 'rake', '~> 11.3'
  s.add_development_dependency 'rspec', '~> 3.6'
  s.add_development_dependency 'rspec-its'
  s.add_development_dependency 'simplecov'
  s.add_development_dependency 'simplecov-console'
  s.add_development_dependency 'va-ruby-style', '0.0.1'
  s.add_development_dependency 'webmock', '~> 3.0.1'

  s.add_runtime_dependency 'activesupport', '>= 4.0.0'
  s.add_runtime_dependency 'nokogiri', '~> 1.5'
  s.add_runtime_dependency 'nokogiri-happymapper', '~> 0.8.0'
end
